#
# spec file for package python-pluggy
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pluggy
Version:        0.4.0
Release:        5.2
Summary:        Plugin registration and hook calling mechanisms for Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/pytest-dev/pluggy
Source:         https://files.pythonhosted.org/packages/source/p/pluggy/pluggy-%{version}.zip
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
This is the plugin manager as used by pytest but stripped
of pytest specific details.

During the 0.x series this plugin does not have much documentation
except extensive docstrings in the pluggy.py module.

%prep
%setup -q -n pluggy-%{version}

%build
%python_build

%install
%python_install

%check
%python_exec -m pytest testing

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst CHANGELOG
%{python_sitelib}/*

%changelog
* Fri Apr  7 2017 jmatejek@suse.com
- update for singlespec
- add project URL
- enable test
- update to 0.4.0
  * add has_plugin(name) method to pluginmanager.  thanks Bruno Oliveira.
  * fix issue11: make plugin parsing more resilient against exceptions
    from __getattr__ functions. Thanks Bruno Oliveira.
  * fix issue #4: specific HookCallError exception for when a hook call
    provides not enough arguments.
  * better error message when loading setuptools entrypoints fails
    due to a VersionConflict.  Thanks Daniel Hahler.
* Wed Sep 16 2015 tbechtold@suse.com
- Initial packagin (version 0.3.0)
